Index: /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-BASIC.xml
===================================================================
--- /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-BASIC.xml	(revision 10319)
+++ /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-BASIC.xml	(revision 10320)
@@ -39,116 +39,5 @@
     <domain_definition src="./domain_def_nemo.xml"/>
   
-    <grid_definition>    
-
-        <!--  -->
-       <grid id="grid_T_2D" >
-         <domain id="grid_T" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_2D" >
-         <domain id="grid_U" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_3D" >
-         <domain id="grid_U" />
-         <axis id="depthu" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_2D" >
-         <domain id="grid_V" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_3D" >
-         <domain id="grid_V" />
-         <axis id="depthv" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_2D" >
-         <domain id="grid_W" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_3D" >
-         <domain id="grid_W" />
-         <axis id="depthw" />
-       </grid>
-        <!--  -->
-       <grid id="grid_1point" >
-         <domain domain_ref="1point"/>
-       </grid>
-        <!--  -->
-       <grid id="grid_T_nfloat" >
-         <domain id="grid_T" />
-         <axis id="nfloat" />
-       </grid>
-        <!--  -->
-       <grid id="grid_EqT" >
-         <domain domain_ref="EqT" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_T_2D">
-         <domain id="gznl" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_T_3D">
-         <domain id="gznl" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_W_3D">
-         <domain id="gznl" />
-         <axis id="depthw" />
-       </grid>
-
-      <grid id="grid_ptr_T_2D">
-       <domain id="ptr" />
-      </grid>
-
-      <grid id="grid_ptr_T_3D">
-       <domain id="ptr" />
-         <axis id="deptht" />
-       </grid>
-
-      <grid id="grid_ptr_W_3D">
-       <domain id="ptr" />
-         <axis id="depthw" />
-      </grid>
-
-       <grid id="vert_sum">
-         <domain domain_ref="grid_T"/>
-         <scalar>
-            <reduce_axis operation="sum" />
-         </scalar>
-       </grid>
-
-       <grid id="zoom_300">
-         <domain domain_ref="grid_T" />
-         <axis axis_ref="deptht300"/>
-       </grid>
-
-       <grid id="zoom_300_sum">
-         <domain domain_ref="grid_T" />
-         <scalar>
-            <reduce_axis operation="sum" />
-         </scalar>
-       </grid>
-
-       <grid id="grid_T_SFC">
-         <domain domain_ref="grid_T" />
-         <scalar>
-           <extract_axis position="0" />
-         </scalar>
-       </grid>
-
-    </grid_definition>   
+    <grid_definition src="./grid_def_nemo.xml"/>
 
 </context>
Index: /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-CMIP6.xml
===================================================================
--- /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-CMIP6.xml	(revision 10319)
+++ /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-CMIP6.xml	(revision 10320)
@@ -39,116 +39,5 @@
     <domain_definition src="./domain_def_nemo.xml"/>
   
-    <grid_definition>    
-
-        <!--  -->
-       <grid id="grid_T_2D" >
-         <domain id="grid_T" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_2D" >
-         <domain id="grid_U" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_3D" >
-         <domain id="grid_U" />
-         <axis id="depthu" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_2D" >
-         <domain id="grid_V" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_3D" >
-         <domain id="grid_V" />
-         <axis id="depthv" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_2D" >
-         <domain id="grid_W" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_3D" >
-         <domain id="grid_W" />
-         <axis id="depthw" />
-       </grid>
-        <!--  -->
-       <grid id="grid_1point" >
-         <domain domain_ref="1point"/>
-       </grid>
-        <!--  -->
-       <grid id="grid_T_nfloat" >
-         <domain id="grid_T" />
-         <axis id="nfloat" />
-       </grid>
-        <!--  -->
-       <grid id="grid_EqT" >
-         <domain domain_ref="EqT" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_T_2D">
-         <domain id="gznl" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_T_3D">
-         <domain id="gznl" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_W_3D">
-         <domain id="gznl" />
-         <axis id="depthw" />
-       </grid>
-
-      <grid id="grid_ptr_T_2D">
-       <domain id="ptr" />
-      </grid>
-
-      <grid id="grid_ptr_T_3D">
-       <domain id="ptr" />
-         <axis id="deptht" />
-       </grid>
-
-      <grid id="grid_ptr_W_3D">
-       <domain id="ptr" />
-         <axis id="depthw" />
-      </grid>
-
-       <grid id="vert_sum">
-         <domain domain_ref="grid_T"/>
-         <scalar>
-            <reduce_axis operation="sum" />
-         </scalar>
-       </grid>
-
-       <grid id="zoom_300">
-         <domain domain_ref="grid_T" />
-         <axis axis_ref="deptht300"/>
-       </grid>
-
-       <grid id="zoom_300_sum">
-         <domain domain_ref="grid_T" />
-         <scalar>
-            <reduce_axis operation="sum" />
-         </scalar>
-       </grid>
-
-       <grid id="grid_T_SFC">
-         <domain domain_ref="grid_T" />
-         <scalar>
-           <extract_axis position="0" />
-         </scalar>
-       </grid>
-
-    </grid_definition>   
+    <grid_definition src="./grid_def_nemo.xml"/>
 
 </context>
Index: /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-CUSTOM.xml
===================================================================
--- /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-CUSTOM.xml	(revision 10319)
+++ /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/context_nemo-CUSTOM.xml	(revision 10320)
@@ -38,117 +38,6 @@
  
     <domain_definition src="./domain_def_nemo.xml"/>
+
+    <grid_definition src="./grid_def_nemo.xml"/>
   
-    <grid_definition>    
-
-        <!--  -->
-       <grid id="grid_T_2D" >
-         <domain id="grid_T" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D_ncatice" >
-         <domain id="grid_T" />
-         <axis id="ncatice" />
-       </grid>
-        <!--  -->
-       <grid id="grid_T_3D" >
-         <domain id="grid_T" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_2D" >
-         <domain id="grid_U" />
-       </grid>
-        <!--  -->
-       <grid id="grid_U_3D" >
-         <domain id="grid_U" />
-         <axis id="depthu" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_2D" >
-         <domain id="grid_V" />
-       </grid>
-        <!--  -->
-       <grid id="grid_V_3D" >
-         <domain id="grid_V" />
-         <axis id="depthv" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_2D" >
-         <domain id="grid_W" />
-       </grid>
-        <!--  -->
-       <grid id="grid_W_3D" >
-         <domain id="grid_W" />
-         <axis id="depthw" />
-       </grid>
-        <!--  -->
-       <grid id="grid_1point" >
-         <domain domain_ref="1point"/>
-       </grid>
-        <!--  -->
-       <grid id="grid_T_nfloat" >
-         <domain id="grid_T" />
-         <axis id="nfloat" />
-       </grid>
-        <!--  -->
-       <grid id="grid_EqT" >
-         <domain domain_ref="EqT" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_T_2D">
-         <domain id="gznl" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_T_3D">
-         <domain id="gznl" />
-         <axis id="deptht" />
-       </grid>
-        <!--  -->
-       <grid id="gznl_W_3D">
-         <domain id="gznl" />
-         <axis id="depthw" />
-       </grid>
-
-      <grid id="grid_ptr_T_2D">
-       <domain id="ptr" />
-      </grid>
-
-      <grid id="grid_ptr_T_3D">
-       <domain id="ptr" />
-         <axis id="deptht" />
-       </grid>
-
-      <grid id="grid_ptr_W_3D">
-       <domain id="ptr" />
-         <axis id="depthw" />
-      </grid>
-
-       <grid id="vert_sum">
-         <domain domain_ref="grid_T"/>
-         <scalar>
-            <reduce_axis operation="sum" />
-         </scalar>
-       </grid>
-
-       <grid id="zoom_300">
-         <domain domain_ref="grid_T" />
-         <axis axis_ref="deptht300"/>
-       </grid>
-
-       <grid id="zoom_300_sum">
-         <domain domain_ref="grid_T" />
-         <scalar>
-            <reduce_axis operation="sum" />
-         </scalar>
-       </grid>
-
-       <grid id="grid_T_SFC">
-         <domain domain_ref="grid_T" />
-         <scalar>
-           <extract_axis position="0" />
-         </scalar>
-       </grid>
-
-    </grid_definition>   
-
 </context>
Index: /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml
===================================================================
--- /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml	(revision 10319)
+++ /NEMO/branches/UKMO/dev_r9950_GO8_package/cfgs/METO_GO/EXPREF/file_def_nemo-oce-BASIC-10D.xml	(revision 10320)
@@ -24,5 +24,5 @@
     
 
-      <file_group id="10d" output_freq="10d" output_level="10" split_freq="1mo" enabled=".TRUE."> <!-- real 10-daily files -->
+      <file_group id="10d" output_freq="10d" output_level="10" split_freq="10d" enabled=".TRUE."> <!-- real 10-daily files -->
 
         <file id="file8" name_suffix="_grid_T" >
Index: /NEMO/branches/UKMO/dev_r9950_GO8_package/src/OCE/IOM/iom.F90
===================================================================
--- /NEMO/branches/UKMO/dev_r9950_GO8_package/src/OCE/IOM/iom.F90	(revision 10319)
+++ /NEMO/branches/UKMO/dev_r9950_GO8_package/src/OCE/IOM/iom.F90	(revision 10320)
@@ -206,8 +206,8 @@
           zw_bnds(2,1:jpkm1  ) = gdepw_1d(jkmin:jpk)
           zw_bnds(2,jpk:     ) = gdepw_1d(jpk) + e3t_1d(jpk)
-          CALL iom_set_axis_attr( "deptht", bounds=zt_bnds )
-          CALL iom_set_axis_attr( "depthu", bounds=zt_bnds )
-          CALL iom_set_axis_attr( "depthv", bounds=zt_bnds )
-          CALL iom_set_axis_attr( "depthw", bounds=zw_bnds )
+          CALL iom_set_axis_attr( "deptht", bounds=zw_bnds )
+          CALL iom_set_axis_attr( "depthu", bounds=zw_bnds )
+          CALL iom_set_axis_attr( "depthv", bounds=zw_bnds )
+          CALL iom_set_axis_attr( "depthw", bounds=zt_bnds )
           !
 # if defined key_floats