Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/ice.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/ice.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/ice.F90	(revision 10322)
@@ -367,5 +367,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/ice1d.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/ice1d.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/ice1d.F90	(revision 10322)
@@ -165,5 +165,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icealb.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icealb.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icealb.F90	(revision 10322)
@@ -41,5 +41,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icecor.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icecor.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icecor.F90	(revision 10322)
@@ -39,5 +39,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icectl.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icectl.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icectl.F90	(revision 10322)
@@ -46,5 +46,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedia.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedia.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedia.F90	(revision 10322)
@@ -42,5 +42,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn.F90	(revision 10322)
@@ -53,5 +53,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv.F90	(revision 10322)
@@ -49,5 +49,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv_pra.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv_pra.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv_pra.F90	(revision 10322)
@@ -50,5 +50,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv_umx.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv_umx.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_adv_umx.F90	(revision 10322)
@@ -39,5 +39,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rdgrft.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rdgrft.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rdgrft.F90	(revision 10322)
@@ -79,5 +79,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rhg.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rhg.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rhg.F90	(revision 10322)
@@ -43,5 +43,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rhg_evp.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rhg_evp.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icedyn_rhg_evp.F90	(revision 10322)
@@ -51,5 +51,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceforcing.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceforcing.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceforcing.F90	(revision 10322)
@@ -38,7 +38,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/ICE 4.0 , UCL NEMO Consortium (2018)
+   !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceistate.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceistate.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceistate.F90	(revision 10322)
@@ -64,5 +64,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceitd.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceitd.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceitd.F90	(revision 10322)
@@ -50,5 +50,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icerst.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icerst.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icerst.F90	(revision 10322)
@@ -35,5 +35,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icestp.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icestp.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icestp.F90	(revision 10322)
@@ -91,5 +91,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icetab.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icetab.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icetab.F90	(revision 10322)
@@ -29,5 +29,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd.F90	(revision 10322)
@@ -57,5 +57,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_da.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_da.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_da.F90	(revision 10322)
@@ -36,5 +36,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_dh.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_dh.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_dh.F90	(revision 10322)
@@ -38,5 +38,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_do.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_do.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_do.F90	(revision 10322)
@@ -47,5 +47,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_ent.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_ent.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_ent.F90	(revision 10322)
@@ -34,5 +34,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_pnd.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_pnd.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_pnd.F90	(revision 10322)
@@ -43,5 +43,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_sal.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_sal.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_sal.F90	(revision 10322)
@@ -40,5 +40,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_zdf.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_zdf.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_zdf.F90	(revision 10322)
@@ -40,5 +40,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_zdf_bl99.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_zdf_bl99.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icethd_zdf_bl99.F90	(revision 10322)
@@ -32,5 +32,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceupdate.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceupdate.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/iceupdate.F90	(revision 10322)
@@ -49,5 +49,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icevar.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icevar.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icevar.F90	(revision 10322)
@@ -78,5 +78,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icewri.F90
===================================================================
--- NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icewri.F90	(revision 10012)
+++ NEMO/branches/UKMO/dev_r9950_GO8_package/src/ICE/icewri.F90	(revision 10322)
@@ -38,5 +38,5 @@
    !! NEMO/ICE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS